// Models of backward masking -- July 2002
// Greg Francis (gfrancis@psych.purdue.edu)
// Purdue University
// This material is based upon work supported by the National Science Foundation under Grant No. 0108905. 

// This class defines a parameter, and holds its name, value, and description.

import java.io.*;

public class Parameter implements Serializable
{
	double Value;
	String Name;
        String Description;
        
	// constructor
	public Parameter(String Name, double Value, String Description)
	{
            this.Name = Name;
            this.Value = Value;
            this.Description = Description;
        }
        
        public Parameter copy()
        {
            return(new Parameter(Name, Value, Description) );
        }
 }
